List workspace projects
curl --request GET \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/projects \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"projects": [
{
"projectId": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "active",
"memberCount": 1,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
},
"pagination": {
"nextCursor": "<string>"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}List workspace projects
Lists the workspace’s projects with member counts, for project-membership administration. Requires a workspace key.
Required scope: project.members.read
GET
/
api
/
public
/
v1
/
workspaces
/
{workspaceId}
/
projects
List workspace projects
curl --request GET \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/projects \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"projects": [
{
"projectId": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "active",
"memberCount": 1,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
},
"pagination": {
"nextCursor": "<string>"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}Use this endpoint to list the projects in a workspace, with their member counts. You can find the project IDs that help you manage project membership. Provide a workspace key to the endpoint to get these details.
You can filter the list by
status and name. The values of status are active or archived and the default is active. For pagination, use limit and cursor on the results. The request needs the project.members.read scope.Authorizations
platformApiKeybearerPlatformKey
Query Parameters
Was this page helpful?